Buf(1)

NAME
buf - The Buf CLI

SYNOPSIS
buf [flags]

DESCRIPTION
A tool for working with Protocol Buffers and managing resources on the Buf Schema Registry (BSR)

OPTIONS
--debug[=false]
    Turn on debug logging

-h, --help[=false]
    help for buf

--help-tree[=false]
    Print the entire sub-command tree

--log-format="color"
    The log format [text,color,json]

--timeout=2m0s
    The duration until timing out, setting it to zero means no timeout

--version[=false]
    Print the version

SEE ALSO
buf-beta(1), buf-breaking(1), buf-build(1), buf-completion(1), buf-config(1), buf-convert(1), buf-curl(1), buf-dep(1), buf-export(1), buf-format(1), buf-generate(1), buf-lint(1), buf-ls-files(1), buf-lsp(1), buf-plugin(1), buf-push(1), buf-registry(1), buf-stats(1)

HISTORY
2025-10-20 Auto generated by spf13/cobra